%	         			بِسْمِ اللهِ الرَّحْمٰنِ الرَّحيم 
%%
%% This is file `thesis.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% xepersian.dtx  (with options: `vahid-thesis.cls')
%% 
%%   __________________________________
%%   Copyright © 2008-2009 Vafa Khalighi
%%  
%%   Edited by Vahid Damanafshan    <vdamanafshan@yahoo.com>
%%  
%%   License information appended.
%% 
%% ____________________________________
%%  Edited by Ramin Javadi
%% ____________________________________
%%  Edited by Akbar Davoodi	
%%
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{thesis}
              [2009/02/09 v0.1
 Persian thesis document class in XeLaTeX]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
\ProcessOptions
\LoadClass{report}
\def\university#1{\gdef\@university{#1}}
\def\department#1{\gdef\@department{#1}}
\def\degree#1{\gdef\@degree{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\def\supervisor#1{\gdef\@supervisor{#1}}
%\def\repdate#1{\gdef\@repdate{#1}}
\def\reptime#1{\gdef\@reptime{#1}}
\def\repplace#1{\gdef\@repplace{#1}}
\def\mrmiss#1{\gdef\@mrmiss{#1}}
%\def\supervisorM#1{\gdef\@supervisorM{#1}}
\def\advisor#1{\gdef\@advisor{#1}}
\def\refreeA#1{\gdef\@refreeA{#1}}
\def\refreeB#1{\gdef\@refreeB{#1}}
\def\DGC#1{\gdef\@DGC{#1}}
%\def\refreeoutA#1{\gdef\@refreeoutA{#1}}
%\def\refreeoutB#1{\gdef\@refreeoutB{#1}}
\def\tit#1{\gdef\@tit{#1}}
\def\type#1{\gdef\@type{#1}}
\def\city#1{\gdef\@city{#1}}
\def\subject#1{\gdef\@subject{#1}}
\def\field#1{\gdef\@field{#1}}
\def\department#1{\gdef\@department{#1}}

\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}
\def\latindegree#1{\gdef\@latindegree{#1}}
\def\latinfaculty#1{\gdef\@latinfaculty{#1}}
\def\latinthesisdate#1{\gdef\@latinthesisdate{#1}}
\def\latintype#1{\gdef\@latintype{#1}}
\def\latinsupervisor#1{\gdef\@latinsupervisor{#1}}
\def\latinadvisor#1{\gdef\@latinadvisor{#1}}
\def\latinrefreeA#1{\gdef\@latinrefreeA{#1}}
\def\latinrefreeB#1{\gdef\@latinrefreeB{#1}}
\def\supervisorm#1{\gdef\@supervisorm{#1}}
\def\advisorm#1{\gdef\@advisorm{#1}}
\def\refreeAm#1{\gdef\@refreeAm{#1}}
\def\refreeBm#1{\gdef\@refreeBm{#1}}
\def\latinDGC#1{\gdef\@latinDGC{#1}}
\def\latinDGCm#1{\gdef\@latinDGCm{#1}}
\def\latincity#1{\gdef\@latincity{#1}}
\def\latinuniversity#1{\gdef\@latinuniversity{#1}}
\def\pagenumber#1{\gdef\@pagenumber{#1}}
%
\def\authoremail#1{\gdef\@authoremail{#1}}
\def\latinthesisyear#1{\gdef\@latinthesisyear{#1}}
\def\supervisoremail#1{\gdef\@supervisoremail{#1}}
\def\advisoremail#1{\gdef\@advisoremail{#1}}
\def\MSC#1{\gdef\@MSC{#1}}
\def\latinkeywords#1{\gdef\@latinkeywords{#1}}
%________________________________________________________________
\def\approval{
\begin{titlepage}
\begin{center}
\vskip -3cm
{ \large بسمه تعالی}\\
{\includegraphics[height=3cm]{logo.pdf}}
\vskip .5cm
{\Huge\bf جلسه دفاع از پایان‌نامه کارشناسی ارشد}
\vskip .5cm
{\Huge\@title}
\vskip 1cm
{\Large \textbf{سخنران:} \ \@author}\\
\vskip .4cm
{\Large \textbf{زمان:}\ \@reptime}\\
\vskip .1cm
{\Large \textbf{مکان:} \@repplace}\\
\end{center}
\begin{tabular}{p{10cm}}
\textbf{{\centerline{\LARGE هیئت داوران}}} \\[.2cm]
\hskip 2cm\textbf{$-1$} \@supervisor   \\[.4cm]
\hskip 2cm\textbf{$-2$} \@advisor \\[.4cm]
\hskip 2cm\textbf{$-3$} \@refreeA  \\[.4cm]
\hskip 2cm\textbf{$-4$} \@refreeB  \\[.4cm]
\end{tabular}
\begin{minipage}{.9\textwidth}
\input{./chapters/abstract}
\end{minipage}
\end{titlepage}
\nopagebreak
%________________________________________________________________

\def\makefatitle{\begin{titlepage}
%\topmargin=-30pt
\centerline{{\includegraphics[height=3cm]{logo.pdf}}}
\vskip 1cm
\centerline{\large \bfseries\@university}
\vspace{3pt}
\centerline{\large\bfseries\@department}
\vskip 2cm

\centerline{\Huge\bfseries\@title}
\vskip 3cm
\centerline{\large \bfseries\@subject
}



\vskip -2.3cm
\par
{\nastaliq\Large \@author}\par

{\large
  \undersupervision\par
  \vskip -2.5cm
\nastaliq \Large \@supervisor}

\vskip 8mm
{\large \@thesisdate}
\end{titlepage}%
}%end fatitle
} %end approval
%
%___________________________________________________________

\def\makethat{\begin{titlepage}
\centerline{{\includegraphics[height=3cm]{logo.pdf}}}
\vskip 1cm
\centerline{\large \bfseries\@university}
\vspace{3pt}
\centerline{\large\bfseries\@department}
%\vskip .1cm



{\large\bf \@subject\space\@mrmiss\space\@author}\\
\vspace{3pt}
{\large\bf تحت عنوان}\\
\vskip .5cm
{\Huge\bf \@title}

{\large\bf
در تاریخ {\repdate}توسط کمیته تخصصی زیر مورد بررسی و تأیید نهایی قرار گرفت.}
\vspace{40pt}
\begin{tabular}{p{11.5cm}}
\vskip .2cm
\textbf{$-1$} \undersupervision \hskip 3.5cm\@supervisor \\[1cm]
\textbf{$-2$} \coadvisor            \hskip 3.5cm\@advisor \\[1cm]
\textbf{$-3$} \davarA               \hskip 3.5cm\@refreeA \\[1cm]
\textbf{$-4$} \davarB               \hskip 3.5cm\@refreeB \\[1.5cm]
سرپرست تحصیلات تکمیلی دانشکده \hskip .7cm\@DGC
\end{tabular}
%\nopagebreak
\end{titlepage}}
%}%endthat
%_________________________________________________________________
\newcommand{\preface}{
\chapter{مقدمه}
\pagenumbering{arabic}\setcounter{page}{1}
%\rhead{مقدمه}
%\addcontentsline{toc}{chapter}{مقدمه}
%\def\theequation{\arabic{equation}}
}
%
\newcommand{\EndPreface}{
\def\theequation{\arabic{equation}.\thechapter}}
%
\def\latinabstract{\newpage
\thispagestyle{empty}
%\vskip 15mm
%\textbf{Supervisor:}\@latinsupervisor
%\begin{center}{\Large\bfseries \@latintitle \\[5mm]
%\@latinauthor\\[5mm]}
%{\bfseries Abstract}
%\end{center}
%\vspace{5mm}
}

\def\endlatinabstract{\newpage}

\newcommand{\acknowledge}{
\chapter*{سپاس‌گزاری}
\rhead{سپاس‌گزاری}
\addcontentsline{toc}{chapter}{سپاس‌گزاری}}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature#1#2{\par\noindent#1\dotfill\null\\*
  {\raggedright #2\par}}

\def\abstract{\subsection*{\abstractname}\small
\@normalsize}
\def\endabstract{\par}

\pagenumbering{adadi}
%\let\ol@chapter\@chapter
%\def\@chapter{%
% \ifnum\c@chapter=0 \pagenumbering{arabic}\fi
% \ol@chapter}





%\pagenumbering{harfi}
%\let\ol@chapter\@chapter
%\def\@chapter{%
%  \ifnum\c@chapter=0 \pagenumbering{arabic}\setcounter{page}{1}\fi
%\ifnum\c@chapter=-1 \setcounter{chapter}{0}\fi
%  \ol@chapter}

\def\keywords#1{\par\vspace{5mm}
\noindent {\textbf{واژه‌های کلیدی:}} {\textit{ #1}}}

%\def\latinkeywords#1{\par \vspace{5mm}
%\noindent {\textbf{Keywords:}} {\textit{ #1}}}

\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10 
\def\makelatintitle{\begin{titlepage}
{\includegraphics[height=4cm]{logo.pdf}}
\vspace{.1cm}
\centerline{\@latinuniversity} 
%\vskip 1.5cm
%\addtolength{\baselineskip}{5mm}
\large\bfseries
\@latinfaculty\space 
\vskip 5mm
{\titlefont \@latintitle} \par
\vskip 5mm
{\latinwrittenfor\par}
\vskip 1cm

\addtolength{\baselineskip}{-5mm}
%\vskip 7mm
%supervisor \par
%{\supervisorfont\@latinsupervisor}
%\vskip 4mm
%Advisor\par
%{\supervisorfont\@latinadvisor}
\vskip 5mm
{\bfseries\latinby}\par
\vspace{-10pt}
{\Large \supervisorfont\@latinauthor}\par
\vskip 1cm
\hskip -90pt Evaluated and Approved by the Thesis Committe, on {\@latinthesisdate}\\[.5cm]
\begin{tabular}{p{10cm}}
\hskip -90pt\textbf{1-} \@latinsupervisor , \@supervisorm \ (Supervisor)  \\[1cm]
\hskip -90pt\textbf{2-} \@latinadvisor , \@advisorm\ (Advisor)  \\[1cm]
\hskip -90pt\textbf{3-} \@latinrefreeA , \@refreeAm\ (Examiner)  \\[1cm]
\hskip -90pt\textbf{4-} \@latinrefreeB , \@refreeBm\ (Examiner)  \\[1cm]
\hskip -90pt\@latinDGC , \@latinDGCm (Depatment Graduate Coordinator)
\end{tabular}
%\vfill
\end{titlepage}%
}

\def\onvan{عنوان}

\def\undersupervision{استاد راهنما}

\def\coadvisor{استاد مشاور}
\def\davarA{استاد داور۱}
\def\davarB{استاد داور۲}
\def\by{نگارش}
\def\latinby{by}
\def\latinwrittenfor{A Thesis\\[.2cm] Submitted in partial fulfillment of the requirements\\[.2cm]  for the Degree of \@latindegree
 }
\def\latinundersupervision{Under supervision of}
%______________________________________________________________
\def\makelatinabstract{
\thispagestyle{empty}
\begin{latinabstract}
\clearpage
\begin{center}
{\Huge\@latintitle}\\[.3cm]
{\Large\@latinauthor}\\[.1cm]
\@authoremail\\[-.1cm]
\@latinthesisyear\\[-.1cm]
{\large\@latinfaculty}\\
{\large\@latinuniversity , Isfahan 84156-83111, Iran}
\end{center}

\hrulefill

\textbf{Supervisor:\ }\@latinsupervisor , \@supervisoremail\\[.2cm]
\hspace*{.5cm}\textbf{Advisor:\ }\@latinadvisor , \@advisoremail\\[.2cm]
\hspace*{.5cm}\textbf{2010 MSC:\ \@MSC}\\[.2cm]
\hspace*{.5cm}\textbf{Keywords:} {\it \@latinkeywords}

\hrulefill
\begin{center}
{\textbf{Abstract}} \\[1cm]
\end{center}
{
\parindent=.5cm
\pagestyle{empty}
\input{./chapters/latinabstract}
\newpage
}

\end{latinabstract}
}